# eric4.Project.ProjectOthersBrowser

Module implementing a class used to display the parts of the project, that don't fit the other categories.

### Global Attributes

None

### Classes

ProjectOthersBrowser | A class used to display the parts of the project, that don't fit the other categories.

### Functions

None

## ProjectOthersBrowser

A class used to display the parts of the project, that don't fit the other categories.

#### Signals

closeSourceWindow(string)
  emitted after a file has been removed/deleted from the project
pixmapEditFile(string)
  emitted to edit a pixmap file
pixmapFile(string)
  emitted to open a pixmap file
showMenu(string, QMenu)
  emitted when a menu is about to be shown. The name of the menu and a reference to the menu are given.
sourceFile(string)
  emitted to open a file
svgFile(string)
  emitted to open a SVG file

### Derived from

ProjectBaseBrowser

### Class Attributes

None

### Methods

ProjectOthersBrowser | Constructor
__deleteItem | Private method to delete the selected entry from the OTHERS project data area.
__refreshItem | Private slot to refresh (repopulate) an item.
__removeItem | Private slot to remove the selected entry from the OTHERS project data area.
__showContextMenu | Private slot called by the menu aboutToShow signal.
__showContextMenuBack | Private slot called by the backMenu aboutToShow signal.
__showContextMenuMulti | Private slot called by the multiMenu aboutToShow signal.
_contextMenuRequested | Protected slot to show the context menu.
_createPopupMenus | Protected overloaded method to generate the popup menu.
_editPixmap | Protected slot to handle the open in icon editor popup menu entry.
_openItem | Protected slot to handle the open popup menu entry.
_showContextMenu | Protected slot called before the context menu is shown.

#### ProjectOthersBrowser (Constructor)

ProjectOthersBrowser(project, parent=None)

Constructor

project
  reference to the project object
parent
  parent widget of this browser (QWidget)

#### ProjectOthersBrowser.__deleteItem

__deleteItem()

Private method to delete the selected entry from the OTHERS project data area.

#### ProjectOthersBrowser.__refreshItem

__refreshItem()

Private slot to refresh (repopulate) an item.

#### ProjectOthersBrowser.__removeItem

__removeItem()

Private slot to remove the selected entry from the OTHERS project data area.

#### ProjectOthersBrowser.__showContextMenu

__showContextMenu()

Private slot called by the menu aboutToShow signal.

#### ProjectOthersBrowser.__showContextMenuBack

__showContextMenuBack()

Private slot called by the backMenu aboutToShow signal.

#### ProjectOthersBrowser.__showContextMenuMulti

__showContextMenuMulti()

Private slot called by the multiMenu aboutToShow signal.

#### ProjectOthersBrowser._contextMenuRequested

_contextMenuRequested(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### ProjectOthersBrowser._createPopupMenus

_createPopupMenus()

Protected overloaded method to generate the popup menu.

#### ProjectOthersBrowser._editPixmap

_editPixmap()

Protected slot to handle the open in icon editor popup menu entry.

#### ProjectOthersBrowser._openItem

_openItem()

Protected slot to handle the open popup menu entry.

#### ProjectOthersBrowser._showContextMenu

_showContextMenu(menu)

Protected slot called before the context menu is shown.

It enables/disables the VCS menu entries depending on the overall VCS status and the file status.

menu
  Reference to the popup menu (QPopupMenu)

Up